import { factorySelect } from "@/services/system";
export default {
  "storeCode": {
    "value": null,
    "type": "input",
    "title": "仓库编号",
    "name": [
      "storeCode"
    ],
    "required": false
  },
  "storeName": {
    "value": null,
    "type": "input",
    "title": "仓库名称",
    "name": [
      "storeName"
    ],
    "required": true
  },
  "storeType": {
    "value": null,
    "type": "select",
    "title": "仓库类型",
    "name": [
      "storeType"
    ],
    "required": true,
    "options": [
      {
        "label":"半成品库",
        "value":0
      },
      {
        "label":"成品库",
        "value":1
      },
      {
        "label":"原材料库",
        "value":2
      }
    ]
  },
  "factoryId": {
    "value": null,
    "type": "select",
    "title": "所属工厂",
    "name": ["factoryId"],
    "required": true,
    "options": {
      "database": factorySelect,
      "params": {},
    },
  }
};
